function p.__get_is_solid() return true end
function p.__get_tex() return "block_chem" end

function p.__main()
    set_default_block("r_chem")
    
    create_rect("e", 1,1,1, 14,14,14)
    --Door.
    create_rect("s", 5,0,5, 9,0,9)
    create_rect("e", 6,0,6, 8,0,8)
    --Door.
    create_rect("s", 5,15,5, 9,15,9)
    create_rect("e", 6,15,6, 8,15,8)
    
    local msg_str = "The HUD window described in \"Windows/hud_diamonds.lua\" "
        .. "is not displayed automatically.  It has to be added to the "
        .. "HUD.  The best way to do this is to add the line "
        .. "^x00ff00ga_hud_window_add^!(\"hud_diamonds\",1) to the function "
        .. "^x00ff00load_game^! that is defined in ^x00ff00Game/top.lua^!."
    add_bent_s(7,7,9,"bent_base_txt",msg_str)

    msg_str = "The file \"^x00ff00Game/top.lua^!\" contains lua functions "
        .. "that are called by the engine at various times. "
        .. "Because this package tutorial depends on the xar package, "
        .. "much of Game/top.lua is concerned with xar functionality. "
        .. "Here are some key functions defined within top.lua:\n\n"
        .. "The function \"^x00ff00load_game^!\" is called when a game is loaded.\n\n"
        .. "The function \"^x00ff00update^!\" is called every cycle.\n\n"
        .. "The function \"^x00ff00game_input^!\" is the bridge between console "
        .. "commands and the package lua code. The console command "
        .. "\"game_input str\" will result in the game_input lua function "
        .. "being called, with str as the string input. "
    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
